package org.rcisoft.bus.util;

import cn.afterturn.easypoi.excel.ExcelImportUtil;
import cn.afterturn.easypoi.excel.entity.ImportParams;
import org.rcisoft.core.exception.CyServiceException;
import org.rcisoft.core.util.CyEpExcelUtil;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Author: gy
 * @Date: 2024/5/20 16:05
 * @Description:
 */
public class EpExcelUtil extends CyEpExcelUtil {

    public static <T> List<T> importExcelNotTitle(MultipartFile file, Integer titleRows, Integer headerRows, Class<T> pojoClass) {
        if (file == null) {
            return null;
        } else {
            ImportParams params = new ImportParams();
            List list = null;

            try {
                list = ExcelImportUtil.importExcel(file.getInputStream(), pojoClass, params);
                return list;
            } catch (Exception var7) {
                throw new CyServiceException(502, "模板格式错误");
            }
        }
    }

}
